<?xml version="1.0" encoding="utf-16"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:template match="/">
			<html>
				<meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
					<style>
						 TABLE { border-color:000; border-collapse:collapse; margin:auto }
					</style>
				<body>
						<xsl:variable name="Empty"/>
					<div style="margin:1.0cm 0.0cm 1.0cm 1.5cm;">
						<table border="0" cellspacing="0" cellpadding="0" style="width:26.0cm">
							<tbody>
								<tr>
									<th><b>Протокол</b> <br>по результатам сверки файла обмена</br></th>
								</tr>
								<tr>
									<td>
										<table border="0" cellspacing="0" cellpadding="0" style="width:26.0cm">
												<tr>	&#160;	</tr>
												<tr>	&#160;	</tr>
												<tr>
													<td style="width:7.0cm">Имя обработанного файла:</td>
													<td style="width:19cm"><xsl:value-of select="Файл/@ИмяОбрабФайла"/></td>
												</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<table border="0" cellspacing="0" cellpadding="0" style="width:26.0cm">
											<tr>
												<td style="width:10.0cm" rowspan="2">Код по результатам обработки файла (обобщенный):</td>
												<td style="width:3.0cm" rowspan="2"><xsl:value-of select="Файл/@КодОшОб"/></td>
												<td style="width:13.0cm"><font face="Times New Roman" size="1">0000000000 - в файле обмена ошибок не обнаружено</font></td>
											</tr>	
											<tr>
												<td style="width:13.0cm"><font face="Times New Roman" size="1">0000000001 - в файле обмена обнаружены ошибки</font></td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>	<td colspan="4">&#160;	</td></tr>
								<tr>
									<td colspan="4" align="center"><b>Сведения по выявленным ошибкам</b></td>
								</tr>
								<tr>	<td colspan="4">&#160;	</td></tr>
										<xsl:choose>
											<xsl:when test="Файл/@КодОшОб = 0000000001">	
								<tr>
									<td valign="top">
										<table border="0" cellspacing="0" cellpadding="3" style="width:26.0cm; font-size:10pt">	
											<colgroup span="6">
												<col width="1.0cm"/>
												<col width="6.0cm" />
												<col width="1.0cm"/>
												<col width="1.0cm"/>
												<col width="6.0cm" />
												<col width="4.0cm" />
												<col width="6.0cm" />
											</colgroup>										
										
											<xsl:for-each select="Файл/СвПоОшибке">
											
											<xsl:variable name="КолЗапСтр">
											<xsl:choose>
												<xsl:when test="position() &lt;= 15"><xsl:value-of select="15"/></xsl:when>
												<xsl:when test="position() > 15"><xsl:value-of select="19"/></xsl:when>
											</xsl:choose>
												</xsl:variable>
											
												<xsl:variable name="НомСтр">
											<xsl:choose>
												<xsl:when test="position() &lt;= 15"><xsl:value-of select="1"/></xsl:when>
												<xsl:when test="position() > 15"><xsl:value-of select="round(position() div $КолЗапСтр + 0.4999) +1"/></xsl:when>
											</xsl:choose>
												</xsl:variable>
										
												<xsl:if test="(((position() +4) - ($НомСтр - 1)* $КолЗапСтр) = 5) or (((position() +4) - ($НомСтр - 1)* $КолЗапСтр) = 1)">
													<xsl:if test="position()  > 1">
														<tr>
															<td colspan="4" align="right">
																	<br clear="all" style="page-break-before:always"/>
																	<xsl:value-of select="$НомСтр"/>&#160;<br/>&#160;<br/>
															</td>
														</tr>
													</xsl:if>
														<tr>
															<td colspan="2" style="border-style:solid solid solid solid; border-width:1pt 1pt 1pt 1pt" align="center">Идентификатор</td>
															<td rowspan="2" style="border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">КодСерьезн<br/>ошибки</td>
															<td rowspan="2" style="border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">Код<br/>ошибки</td>
															<td colspan="2" style="border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">Ошибочный элемент (атрибут)</td>
															<td rowspan="2" style="border-style:solid solid solid solid; border-width:1pt 1pt 1pt 1pt" align="center">Текст сообщения об ошибке</td>
														</tr>										
														<tr>
															<td style="border-style:solid solid solid solid; border-width:1pt 1pt 1pt 1pt" align="center">Наименование</td>
															<td style="border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">Значение</td>
															<td style=" border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">Путь</td>
															<td style=" border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt" align="center">Значение</td>
															
														</tr>										
												</xsl:if>
														<tr>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center"><xsl:value-of select="@ИдДокНаим"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center"><xsl:value-of select="@ИдДокЗнач"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center"><xsl:value-of select="@КодСерьезн"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center"><xsl:value-of select="@КодОшибки"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt"><xsl:value-of select="@ПолОшЭл"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center"><xsl:value-of select="@ЗнЭлем"/>&#160;</td>
															<td style="border-style:solid solid solid solid; border-width:0pt 1pt 1pt 1pt"><xsl:value-of select="ТекстОш"/>&#160;</td>
														</tr>
											</xsl:for-each>			
										</table>
																					
									</td>
								</tr>	
											</xsl:when>										
											<xsl:when test="Файл/@КодОшОб = 0000000000">
								<tr>	<td colspan="4">В файле обмена ошибок не выявлено&#160;	</td></tr>											
											</xsl:when>
										</xsl:choose>
							</tbody>
						</table>
					</div>
				</body>
			</html>
	</xsl:template>
</xsl:stylesheet>
